init python:
    style.center_align_text = Style(style.default)
    style.center_align_text.xalign  = 0.5

    player_name = "Maniac"

    def lock_gallery(pageNumber):
        persistent.gallery_unlocked = False
        return

    def unlock_gallery(pageNumber):
        persistent.gallery_unlocked = True
        return

    class CBMGalleryScene:
        def __init__(self, scene_name, scene_label, scene_image, scene_condition):
            self.scene_name = scene_name
            self.scene_label = scene_label
            self.scene_image = scene_image
            self.scene_condition = scene_condition

    class CBMGalleryChar:
        def __init__(self, char_name, char_image, char_condition):
            self.char_name = char_name
            self.char_image = char_image
            self.char_condition = char_condition
            self.char_scenes = [];

    class CBMGallery:
        def __init__(self):

            # ======================================================> Overlap Events <======================================================

            # Episode 3
            gall_lily_debb_01 = CBMGalleryScene("First Impressions", "gall_lily_debb_01", "D2S4_1.jpg", "persistent.gall_lily_debb_01")
            gall_mom_zara_01 = CBMGalleryScene("Risque Shoot", "gall_mom_zara_01", "D2S5_2.jpg", "persistent.gall_mom_zara_01")

            # Episode 4
            gall_lily_debb_02 = CBMGalleryScene("Seduction attempt", "gall_lily_debb_02", "D2S8_1.jpg", "persistent.gall_lily_debb_02")

            # Episode 9
            gall_jenn_bell_01 = CBMGalleryScene("Peeping Toms", "gall_jenn_bell_01", "E9/E9S5_23a.jpg", "persistent.gall_jenn_bell_01")

            # Episode 12
            gall_jenn_joli_01 = CBMGalleryScene("Camshow", "gall_jenn_joli_01", "E12/E12S0_3a.jpg", "persistent.gall_jenn_joli_01")
            gall_girls_01 = CBMGalleryScene("At the Beach", "gall_girls_01", "E12/E12S11A_07.jpg", "persistent.gall_girls_01")

            # Episode 13
            gall_girls_02 = CBMGalleryScene("Car Ride", "gall_girls_02", "E13/E13S1_06.jpg", "persistent.gall_girls_02")

            # Episode 14
            gall_mom_jenn_01 = CBMGalleryScene("Lounging", "gall_mom_jenn_01", "E14/E14S1_29.jpg", "persistent.gall_mom_jenn_01")

            # Episode 15
            gall_angl_wand_01 = CBMGalleryScene("Photoshoot", "gall_angl_wand_01", "E15/E15S7_12a.jpg", "persistent.gall_angl_wand_01")

            # Episode 17
            gall_kate_jenn_01 = CBMGalleryScene("Sisterly Lust", "gall_kate_jenn_01", "E17/E17KJ_03b.jpg", "persistent.gall_kate_jenn_01")

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Mom's Gallery <======================================================
            gall_mom = CBMGalleryChar("Mom","D1S1_4.jpg","persistent.mom_seen")

            # Episode 1
            gall_mom.char_scenes.append(CBMGalleryScene("Home Sweet Home","gall_mom_01","D1S1_2.jpg","persistent.gall_mom_01"))
            gall_mom.char_scenes.append(CBMGalleryScene("Mom's \"Ass\"ets","gall_mom_02","D1S2_4.jpg","persistent.gall_mom_02"))
            gall_mom.char_scenes.append(CBMGalleryScene("Welcome kiss","gall_mom_03","D1S2_11.jpg","persistent.gall_mom_03"))

            # Episode 2
            gall_mom.char_scenes.append(CBMGalleryScene("Stuffing my shorts","gall_mom_04","D1S5_3.jpg","persistent.gall_mom_04"))
            gall_mom.char_scenes.append(CBMGalleryScene("Movie Night","gall_mom_05","D1S9_3.jpg","persistent.gall_mom_05"))
            gall_mom.char_scenes.append(CBMGalleryScene("Feeling her \"heart\"","gall_mom_06","D1S2_12.jpg","persistent.gall_mom_06"))

            # Episode 3
            gall_mom.char_scenes.append(CBMGalleryScene("Breakfast","gall_mom_07","D2S1_3.jpg","persistent.gall_mom_07"))
            gall_mom.char_scenes.append(gall_mom_zara_01)
            gall_mom.char_scenes.append(CBMGalleryScene("Risque Shoot (Mom)","gall_mom_08","D2S5_7.jpg","persistent.gall_mom_08"))

            # Episode 4
            gall_mom.char_scenes.append(CBMGalleryScene("Goodnight","gall_mom_09","D2S11_6.jpg","persistent.gall_mom_09"))

            # Episode 5
            gall_mom.char_scenes.append(CBMGalleryScene("Good Morning","gall_mom_10","D3S1_10a.jpg","persistent.gall_mom_10"))
            gall_mom.char_scenes.append(CBMGalleryScene("The Picnic","gall_mom_11","D3S2_11.jpg","persistent.gall_mom_11"))

            # Episode 6
            gall_mom.char_scenes.append(CBMGalleryScene("Dinner Date","gall_mom_12","E6/E6S6_4.jpg","persistent.gall_mom_12"))
            gall_mom.char_scenes.append(CBMGalleryScene("Giving a hand","gall_mom_13","E6/E6S7_14.jpg","persistent.gall_mom_13"))

            # Episode 7
            gall_mom.char_scenes.append(CBMGalleryScene("No Pants Breakfast", "gall_mom_14", "E7/E7S2_3.jpg", "persistent.gall_mom_14"))
            gall_mom.char_scenes.append(CBMGalleryScene("Haircut", "gall_mom_15", "E7/E7S5_2.jpg", "persistent.gall_mom_15"))

            # Episode 9
            gall_mom.char_scenes.append(CBMGalleryScene("Footrub", "gall_mom_16", "E9/E9S2_12b.jpg", "persistent.gall_mom_16"))

            # Episode 10
            gall_mom.char_scenes.append(CBMGalleryScene("Shower", "gall_mom_17", "E10/E10S2_13.jpg", "persistent.gall_mom_17"))
            gall_mom.char_scenes.append(CBMGalleryScene("By the Poolside", "gall_mom_18", "E10/E10S6_13.jpg", "persistent.gall_mom_18"))

            # Episode 11
            gall_mom.char_scenes.append(CBMGalleryScene("Massage", "gall_mom_19", "E11/E11S7_3a.jpg", "persistent.gall_mom_19"))

            # Episode 13
            gall_mom.char_scenes.append(CBMGalleryScene("Hands On Experience", "gall_mom_20", "E13/E13S4_7a.jpg", "persistent.gall_mom_20"))
            gall_mom.char_scenes.append(CBMGalleryScene("Tasting Ceremony", "gall_mom_21", "E13/E13S4_34.jpg", "persistent.gall_mom_21"))

            # Episode 14
            gall_mom.char_scenes.append(gall_mom_jenn_01)

            # Episode 15
            gall_mom.char_scenes.append(CBMGalleryScene("Feels like Home", "gall_mom_22", "E15/E15S9_13.jpg", "persistent.gall_mom_22"))

            # Episode 17
            gall_mom.char_scenes.append(CBMGalleryScene("Nightime Fun", "gall_mom_23", "E17/E17S3_15a.jpg", "persistent.gall_mom_23"))

            # Episode 18
            gall_mom.char_scenes.append(CBMGalleryScene("A different house", "gall_mom_24", "E18/E18MS_31.jpg", "persistent.gall_mom_24"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Katie's Gallery <======================================================
            gall_kate = CBMGalleryChar("Katie", "D2S7_17.jpg", "persistent.kate_seen")

            # Episode 1
            gall_kate.char_scenes.append(CBMGalleryScene("Katie, I'm back!", "gall_kate_01", "D1S1_10.jpg","persistent.gall_kate_01"))
            gall_kate.char_scenes.append(CBMGalleryScene("Peep Show", "gall_kate_02", "D1S3_7.jpg", "persistent.gall_kate_02"))

            # Episode 2
            gall_kate.char_scenes.append(CBMGalleryScene("Tanning", "gall_kate_03", "D1S4_5.jpg", "persistent.gall_kate_03"))

            # Episode 3
            gall_kate.char_scenes.append(CBMGalleryScene("Morning Katie", "gall_kate_04", "D2S1_2.jpg", "persistent.gall_kate_04"))
            gall_kate.char_scenes.append(CBMGalleryScene("Gym", "gall_kate_05", "D2S2_5.jpg", "persistent.gall_kate_05"))

            # Episode 4
            gall_kate.char_scenes.append(CBMGalleryScene("Morning Kisses", "gall_kate_06", "D2S7_4.jpg", "persistent.gall_kate_06"))

            # Episode 5
            gall_kate.char_scenes.append(CBMGalleryScene("Short Skirt", "gall_kate_07", "D3S3_3.jpg", "persistent.gall_kate_07"))

            # Episode 6
            gall_kate.char_scenes.append(CBMGalleryScene("Topless Tanning", "gall_kate_08", "E6/E6S3_2.jpg", "persistent.gall_kate_08"))

            # Episode 7
            gall_kate.char_scenes.append(CBMGalleryScene("Wake Up Call", "gall_kate_09", "E7/E7S1_2.jpg", "persistent.gall_kate_09"))
            gall_kate.char_scenes.append(CBMGalleryScene("Shower Interruption", "gall_kate_10", "E7/E7S4_4a.jpg", "persistent.gall_kate_10"))

            # Episode 8
            gall_kate.char_scenes.append(CBMGalleryScene("Ready to party", "gall_kate_11", "E8/E8S1_2.jpg", "persistent.gall_kate_11"))
            gall_kate.char_scenes.append(CBMGalleryScene("My goddess", "gall_kate_12", "E8/E8SX_28.jpg", "persistent.gall_kate_12"))

            # Episode 9
            gall_kate.char_scenes.append(CBMGalleryScene("Tasting it", "gall_kate_13", "E9/E9S10_2a.jpg", "persistent.gall_kate_13"))

            # Episode 10
            gall_kate.char_scenes.append(CBMGalleryScene("Risky Business", "gall_kate_14", "E10/E10S7_11.jpg", "persistent.gall_kate_14"))

            # Episode 11
            gall_kate.char_scenes.append(CBMGalleryScene("Finally", "gall_kate_15", "E11/E11S11_13.jpg", "persistent.gall_kate_15"))

            # Episode 12
            gall_kate.char_scenes.append(gall_girls_01)

            # Episode 13
            gall_kate.char_scenes.append(gall_girls_02)

            # Episode 15
            gall_kate.char_scenes.append(CBMGalleryScene("Concluding a date", "gall_kate_16", "E15/E15S12_24.jpg", "persistent.gall_kate_16"))

            # Episode 16
            gall_kate.char_scenes.append(CBMGalleryScene("Morning at the beach", "gall_kate_17", "E16/E16S1_9.jpg", "persistent.gall_kate_17"))

            # Episode 17
            gall_kate.char_scenes.append(gall_kate_jenn_01)
            gall_kate.char_scenes.append(CBMGalleryScene("Quick Fun", "gall_kate_18", "E17/E17KJ_71.jpg", "persistent.gall_kate_18"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Jenna's Gallery <======================================================
            gall_jenn = CBMGalleryChar("Jenna", "D1S8_3.jpg", "persistent.jenn_seen")

            # Episode 1
            gall_jenn.char_scenes.append(CBMGalleryScene("Is that Jenna?", "gall_jenn_01", "D1S2_17.jpg", "persistent.gall_jenn_01"))

            # Episode 2
            gall_jenn.char_scenes.append(CBMGalleryScene("Confidence Lesson", "gall_jenn_02", "D1S8_5.jpg", "persistent.gall_jenn_02"))

            # Episode 3
            gall_jenn.char_scenes.append(CBMGalleryScene("Coffee Date", "gall_jenn_03", "D2S3_4.jpg", "persistent.gall_jenn_03"))

            # Episode 4
            gall_jenn.char_scenes.append(CBMGalleryScene("Breaking the shell", "gall_jenn_04", "D2S9_14.jpg", "persistent.gall_jenn_04"))

            # Episode 6
            gall_jenn.char_scenes.append(CBMGalleryScene("Underwear Model", "gall_jenn_05", "E6/E6S4_6a.jpg", "persistent.gall_jenn_05"))

            # Episode 7
            gall_jenn.char_scenes.append(CBMGalleryScene("Tanned Pics", "gall_jenn_06", "E7/E7S4_13.jpg", "persistent.gall_jenn_06"))

            # Episode 9
            gall_jenn.char_scenes.append(CBMGalleryScene("Showing skin", "gall_jenn_07", "E9/E9S1_13a.jpg", "persistent.gall_jenn_07"))
            gall_jenn.char_scenes.append(gall_jenn_bell_01);

            # Episode 10
            gall_jenn.char_scenes.append(CBMGalleryScene("Technically Topless", "gall_jenn_08", "E10/E10S1_15a.jpg", "persistent.gall_jenn_08"))

            # Episode 11
            gall_jenn.char_scenes.append(CBMGalleryScene("Send Nudes", "gall_jenn_09", "E11/E11S1_9.jpg", "persistent.gall_jenn_09"))
            gall_jenn.char_scenes.append(CBMGalleryScene("School Uniform", "gall_jenn_10", "E11/E11S6_2.jpg", "persistent.gall_jenn_10"))

            # Episode 12
            gall_jenn.char_scenes.append(gall_jenn_joli_01)
            gall_jenn.char_scenes.append(CBMGalleryScene("Really Topless", "gall_jenn_11", "E12/E12S0_21.jpg", "persistent.gall_jenn_11"))
            gall_jenn.char_scenes.append(CBMGalleryScene("Reward", "gall_jenn_12", "E12/E12S0_12.jpg", "persistent.gall_jenn_12"))

            # Episode 14
            gall_jenn.char_scenes.append(gall_mom_jenn_01)
            gall_jenn.char_scenes.append(CBMGalleryScene("Poolside Escapades", "gall_jenn_13", "E14/E14S1_41.jpg", "persistent.gall_jenn_13"))
            gall_jenn.char_scenes.append(CBMGalleryScene("Her first time", "gall_jenn_14", "E14/E14S7_39.jpg", "persistent.gall_jenn_14"))

            # Episode 15
            gall_jenn.char_scenes.append(CBMGalleryScene("Waking Up", "gall_jenn_15", "E15/E15S1_1.jpg", "persistent.gall_jenn_15"))

            # Episode 17
            gall_jenn.char_scenes.append(CBMGalleryScene("Cosplay Erotica 1", "gall_jenn_16", "E17/E17S3J_13a.jpg", "persistent.gall_jenn_16"))
            gall_jenn.char_scenes.append(gall_kate_jenn_01)
            gall_jenn.char_scenes.append(CBMGalleryScene("Cosplay Erotica 2", "gall_jenn_17", "E17/E17JC_11.jpg", "persistent.gall_jenn_17"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Zara's Gallery <======================================================
            gall_zara = CBMGalleryChar("Zarah", "D1S6_2.jpg", "persistent.zara_seen")

            # Episode 2
            gall_zara.char_scenes.append(CBMGalleryScene("Hi Zarah", "gall_zara_01", "D1S4_3.jpg", "persistent.gall_zara_01"))
            gall_zara.char_scenes.append(CBMGalleryScene("Tete-a-tete", "gall_zara_02", "D1S6_3.jpg", "persistent.gall_zara_02"))
            gall_zara.char_scenes.append(gall_mom_zara_01)

            # Episode 4
            gall_zara.char_scenes.append(CBMGalleryScene("Getting intimate", "gall_zara_03", "D2S6_2.jpg", "persistent.gall_zara_03"))

            # Episode 6
            gall_zara.char_scenes.append(CBMGalleryScene("House Visit", "gall_zara_04", "E6/E6S2_3.jpg", "persistent.gall_zara_04"))

            # Episode 11
            gall_zara.char_scenes.append(CBMGalleryScene("Hair Dye", "gall_zara_05", "E11/E11S2_6.jpg", "persistent.gall_zara_05"))

            # Episode 18
            gall_zara.char_scenes.append(CBMGalleryScene("Bed Intruder", "gall_zara_06", "E18/E18S1_04.jpg", "persistent.gall_zara_06"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Lily's Gallery - Dumb Skank <======================================================
            gall_lily = CBMGalleryChar("Lily", "E7/E7S6_4d.jpg", "persistent.lily_seen")

            # Episode 3
            gall_lily.char_scenes.append(gall_lily_debb_01)
            gall_lily.char_scenes.append(gall_lily_debb_02)

            # Episode 8
            gall_lily.char_scenes.append(CBMGalleryScene("Alone in the room", "gall_lily_01", "E8/E8S4_4.jpg", "persistent.gall_lily_01"))

            # Episode 10
            gall_lily.char_scenes.append(CBMGalleryScene("Tutoring", "gall_lily_02", "E10/E10S5_7.jpg", "persistent.gall_lily_02"))

            # Episode 12
            gall_lily.char_scenes.append(gall_girls_01)

            # Episode 13
            gall_lily.char_scenes.append(gall_girls_02)
            gall_lily.char_scenes.append(CBMGalleryScene("Shower ... and more", "gall_lily_03", "E13/E13S1_66.jpg", "persistent.gall_lily_03"))

            # Episode 17
            gall_lily.char_scenes.append(CBMGalleryScene("Bookworm Chic", "gall_lily_04", "E17/E17SL_02.jpg", "persistent.gall_lily_04"))
            gall_lily.char_scenes.append(CBMGalleryScene("Library Fun", "gall_lily_05", "E17/E17SL_12.jpg", "persistent.gall_lily_05"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Debbie's Gallery - Blond Fag <======================================================
            gall_debb = CBMGalleryChar("Debbie", "D2S4_3.jpg", "persistent.debb_seen")

            # Episode 3
            gall_debb.char_scenes.append(gall_lily_debb_01)
            gall_debb.char_scenes.append(gall_lily_debb_02)

            # Episode 7
            gall_debb.char_scenes.append(CBMGalleryScene("Lap Dance ... and more", "gall_debb_01", "E7/E7S6_9.jpg", "persistent.gall_debb_01"))

            # Episode 12
            gall_debb.char_scenes.append(gall_girls_01)

            # Episode 13
            gall_debb.char_scenes.append(gall_girls_02)

            # Episode 16
            gall_debb.char_scenes.append(CBMGalleryScene("Skinny Swimming", "gall_debb_02", "E16/E16S2_23.jpg", "persistent.gall_debb_02"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Jolina's Gallery <======================================================
            gall_joli = CBMGalleryChar("Jolina", "E14/E14S5_11.jpg", "persistent.joli_seen")

            # Episode 12
            gall_joli.char_scenes.append(gall_jenn_joli_01)

            # Episode 14
            gall_joli.char_scenes.append(CBMGalleryScene("A cup of Jo'", "gall_joli_01", "E14/E14S5_7.jpg", "persistent.gall_joli_01"))

            # Episode 16
            gall_joli.char_scenes.append(CBMGalleryScene("At the apartment", "gall_joli_02", "E16/E16S4_15.jpg", "persistent.gall_joli_02"))

            # Episode 17
            gall_joli.char_scenes.append(CBMGalleryScene("Busted!!", "gall_joli_03", "E17/E17SJ_03.jpg", "persistent.gall_joli_03"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Angel's Gallery <======================================================
            gall_angl = CBMGalleryChar("Angel", "D3S4_2a.jpg", "persistent.angl_seen")

            # Episode 10
            gall_angl.char_scenes.append(CBMGalleryScene("First Touches", "gall_angl_01", "E10/E10S3_4.jpg", "persistent.gall_angl_01"))

            # Episode 11
            gall_angl.char_scenes.append(CBMGalleryScene("The \"Interview\"", "gall_angl_02", "E11/E11S3_9a.jpg", "persistent.gall_angl_02"))

            # Episode 13
            gall_angl.char_scenes.append(CBMGalleryScene("Fashion Star", "gall_angl_03", "E13/E13S7_19.jpg", "persistent.gall_angl_03"))

            # Episode 15
            gall_angl.char_scenes.append(CBMGalleryScene("Changing Room Fun", "gall_angl_04", "E15/E15S6_11.jpg", "persistent.gall_angl_04"))
            gall_angl.char_scenes.append(gall_angl_wand_01)

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Wanda's Gallery <======================================================
            gall_wand = CBMGalleryChar("Wanda", "D3S4_13.jpg", "persistent.wand_seen")

            # Episode 5
            gall_wand.char_scenes.append(CBMGalleryScene("Casting Couch", "gall_wand_01", "D3S4_16.jpg", "persistent.gall_wand_01"))

            # Episode 6
            gall_wand.char_scenes.append(CBMGalleryScene("Casting Couch (cont...)", "gall_wand_02", "E6/E6S1_1.jpg", "persistent.gall_wand_02"))

            # Episode 15
            gall_wand.char_scenes.append(CBMGalleryScene("Following Orders", "gall_wand_03", "E15/E15S5_7.jpg", "persistent.gall_wand_03"))
            gall_wand.char_scenes.append(gall_angl_wand_01)

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Bella's Gallery <======================================================
            gall_bell = CBMGalleryChar("Bella", "E7/E7S3_6.jpg", "persistent.bell_seen")

            # Episode 9
            gall_bell.char_scenes.append(gall_jenn_bell_01);
            gall_bell.char_scenes.append(CBMGalleryScene("Skip the foreplay", "gall_bell_01", "E9/E9S6_9.jpg", "persistent.gall_bell_01"))

            # Episode 12
            gall_bell.char_scenes.append(CBMGalleryScene("The Visit", "gall_bell_02", "E12/E12S3_3.jpg", "persistent.gall_bell_02"))
            gall_bell.char_scenes.append(CBMGalleryScene("Encore Performance", "gall_bell_03", "E12/E12S3_3.jpg", "persistent.gall_bell_03"))

            # Episode 16
            gall_bell.char_scenes.append(CBMGalleryScene("Such a tease", "gall_bell_04", "E16/E16SB_09.jpg", "persistent.gall_bell_04"))

            # Episode 17
            gall_bell.char_scenes.append(CBMGalleryScene("Dropping by", "gall_bell_05", "E17/E17SB_01a.jpg", "persistent.gall_bell_05"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Elaine's Gallery <======================================================
            gall_elen = CBMGalleryChar("Elaine", "E13/E13S3_5a.jpg", "persistent.elen_seen")

            # Episode 12
            gall_elen.char_scenes.append(CBMGalleryScene("Meeting Elaine", "gall_elen_01", "E12/E12S1_2a.jpg", "persistent.gall_elen_01"))
            gall_elen.char_scenes.append(CBMGalleryScene("Red Handed", "gall_elen_02", "E12/E12S4_7b.jpg", "persistent.gall_elen_02"))

            # Episode 13
            gall_elen.char_scenes.append(CBMGalleryScene("The Car and the Babe", "gall_elen_03", "E13/E13S3_22.jpg", "persistent.gall_elen_03"))

            # Episode 14
            gall_elen.char_scenes.append(CBMGalleryScene("The Beach House", "gall_elen_04", "E14/E14S4_20a.jpg", "persistent.gall_elen_04"))

            # Episode 16
            gall_elen.char_scenes.append(CBMGalleryScene("Lingerie Model", "gall_elen_05", "E16/E16SE_30a.jpg", "persistent.gall_elen_05"))

            # Episode 17
            gall_elen.char_scenes.append(CBMGalleryScene("Country Side Drive", "gall_elen_06", "E17/E17SE_16b.jpg", "persistent.gall_elen_06"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Natasha's Gallery <======================================================
            gall_nats = CBMGalleryChar("Natasha", "E8/E8S6_24.jpg", "persistent.nats_seen")

            # Episode 8
            gall_nats.char_scenes.append(CBMGalleryScene("Peekaboo", "gall_nats_01", "E8/E8S6_12.jpg", "persistent.gall_nats_01"))
            gall_nats.char_scenes.append(CBMGalleryScene("The Set Up", "gall_nats_02", "E8/E8S6_35.jpg", "persistent.gall_nats_02"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Theresa's Gallery <======================================================
            gall_ther = CBMGalleryChar("Theresa", "E18/E18ST_07a.jpg", "persistent.ther_seen")

            # Episode 18
            gall_ther.char_scenes.append(CBMGalleryScene("Sermon", "gall_ther_01", "E18/E18ST_22.jpg", "persistent.gall_ther_01"))

            # --------------------------------------------------------------------------------------------------------------------------

            # ======================================================> Mabel's Gallery <======================================================
            gall_mabl = CBMGalleryChar("Mabel", "E18/E18MD_64.jpg", "persistent.mabl_seen")

            # Episode 18
            gall_mabl.char_scenes.append(CBMGalleryScene("Circus Act", "gall_mabl_01", "E18/E18MB_04a.jpg", "persistent.gall_mabl_01"))

            # --------------------------------------------------------------------------------------------------------------------------

            self.galleryChars = [];
            self.galleryChars.append(gall_mom)
            self.galleryChars.append(gall_kate)
            self.galleryChars.append(gall_jenn)
            self.galleryChars.append(gall_zara)
            self.galleryChars.append(gall_lily)
            self.galleryChars.append(gall_debb)
            self.galleryChars.append(gall_joli)
            self.galleryChars.append(gall_angl)
            self.galleryChars.append(gall_wand)
            self.galleryChars.append(gall_bell)
            self.galleryChars.append(gall_elen)
            self.galleryChars.append(gall_nats)
            self.galleryChars.append(gall_ther)
            self.galleryChars.append(gall_mabl)

    cbm_gallery = CBMGallery()

screen gallery(pageNumber = 0):
    tag menu

    $ start_index = pageNumber * 6
    $ end_index = start_index + 5

    $ counter = 0
    $ totalChars = len(cbm_gallery.galleryChars)

    if totalChars > 6 :
        $ galleryHeaderTitle = "Gallery - Page " + str(pageNumber + 1)
    else:
        $galleryHeaderTitle = "Gallery"

    use game_menu(_("Gallery")):
        vbox:
            vpgrid:
                rows 2
                cols 3
                spacing 130
                for galleryChar in cbm_gallery.galleryChars:
                    if counter >= start_index and counter <= end_index:
                        if eval(galleryChar.char_condition) or persistent.gallery_unlocked:
                            vbox:
                                imagebutton:
                                    idle Transform(galleryChar.char_image, zoom=0.2)
                                    hover Transform(im.MatrixColor(galleryChar.char_image, im.matrix.brightness(0.2)), zoom=0.2)
                                    action ShowMenu("gallery_char", galleryChar, pageNumber)
                                label galleryChar.char_name style style.center_align_text
                        else:
                            vbox:
                                imagebutton:
                                    idle Transform(im.Grayscale("Question.jpg"))
                    $ counter += 1


            hbox:
                xfill True
                yfill True
                if persistent.gallery_unlocked:
                    textbutton "Lock" action Function(lock_gallery, pageNumber) xalign 0.0 yalign 0.5 background "#A44" text_color "#000" xpadding 50 ypadding 20
                else:
                    textbutton "Unlock" action Function(unlock_gallery, pageNumber) xalign 0.0 yalign 0.5 background "#2B3" text_color "#000" xpadding 50 ypadding 20
                hbox:
                    xalign 1.0
                    yalign 0.5
                    yfill True
                    spacing 25
                    if pageNumber > 0:
                        textbutton "Previous" action ShowMenu("gallery", pageNumber - 1) xalign 1.0 yalign 0.5 background "#FFF" text_color "#000" xpadding 50 ypadding 20
                    if totalChars > (end_index + 1):
                        textbutton "Next" action ShowMenu("gallery", pageNumber + 1) xalign 1.0 yalign 0.5 background "#FFF" text_color "#000" xpadding 50 ypadding 20

screen gallery_char(galleryChar, parentPageNumber, pageNumber = 0):
    tag menu

    $ start_index = pageNumber * 6
    $ end_index = start_index + 5

    $ counter = 0
    $ totalScenes = len(galleryChar.char_scenes)

    if totalScenes > 6 :
        $ charGalleryHeaderTitle = galleryChar.char_name + " - Page " + str(pageNumber + 1)
    else:
        $ charGalleryHeaderTitle = galleryChar.char_name

    use game_menu(_(charGalleryHeaderTitle)):
        vbox:
            vpgrid:
                rows 2
                cols 3
                spacing 130

                for galleryScene in galleryChar.char_scenes:
                    if counter >= start_index and counter <= end_index:
                        if eval(galleryScene.scene_condition) or persistent.gallery_unlocked:
                            vbox:
                                imagebutton:
                                    idle Transform(galleryScene.scene_image, zoom=0.2)
                                    hover Transform(im.MatrixColor(galleryScene.scene_image, im.matrix.brightness(0.2)), zoom=0.2)
                                    action Replay(galleryScene.scene_label,locked=False)
                                label galleryScene.scene_name style style.center_align_text
                        else:
                            vbox:
                                imagebutton:
                                    idle Transform(im.Grayscale("Question.jpg"))
                    $ counter += 1

            hbox:
                xfill True
                yfill True
                textbutton "Back" action ShowMenu("gallery", parentPageNumber) xalign 0.0 yalign 0.5 background "#FFF" text_color "#000" xpadding 50 ypadding 20
                hbox:
                    xalign 1.0
                    yalign 0.5
                    yfill True
                    spacing 25
                    if pageNumber > 0:
                        textbutton "Previous" action ShowMenu("gallery_char", galleryChar, parentPageNumber, pageNumber - 1) xalign 1.0 yalign 0.5 background "#FFF" text_color "#000" xpadding 50 ypadding 20
                    if totalScenes > (end_index + 1):
                        textbutton "Next" action ShowMenu("gallery_char", galleryChar, parentPageNumber, pageNumber + 1) xalign 1.0 yalign 0.5 background "#FFF" text_color "#000" xpadding 50 ypadding 20